Package org.apache.lucene.analysis.miscellaneous

# Class WordDelimiterGraphFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.miscellaneous.WordDelimiterGraphFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class WordDelimiterGraphFilterFactory extends TokenFilterFactory implements ResourceLoaderAware
Factory for `WordDelimiterGraphFilter`.

     <fieldType name="text_wd" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.WordDelimiterGraphFilterFactory" protected="protectedword.txt"
                 preserveOriginal="0" splitOnNumerics="1" splitOnCaseChange="1"
                 catenateWords="0" catenateNumbers="0" catenateAll="0"
                 generateWordParts="1" generateNumberParts="1" stemEnglishPossessive="1"
                 types="wdfftypes.txt" ignoreKeywords="0" />
       </analyzer>
     </fieldType>

Since:
  6.5.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "wordDelimiterGraph"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name
  `static final String`
  `OFFSETS`
  `static final String`
  `PROTECTED_TOKENS`
  `static final String`
  `TYPES`

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordDelimiterGraphFilterFactory()`
  Default ctor for compatibility with SPI
  `WordDelimiterGraphFilterFactory(Map<String,String> args)`
  Creates a new WordDelimiterGraphFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenFilter`
  `create(TokenStream input)`
  `void`
  `inform(ResourceLoader loader)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

  - ### PROTECTED_TOKENS

    public static final String PROTECTED_TOKENS
    See Also:
      - Constant Field Values

  - ### TYPES

    public static final String TYPES
    See Also:
      - Constant Field Values

  - ### OFFSETS

    public static final String OFFSETS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WordDelimiterGraphFilterFactory

    public WordDelimiterGraphFilterFactory(Map<String,String> args)
    Creates a new WordDelimiterGraphFilterFactory

  - ### WordDelimiterGraphFilterFactory

    public WordDelimiterGraphFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### inform

    public void inform(ResourceLoader loader) throws IOException
    Specified by:
      `inform` in interface `ResourceLoaderAware`
    Throws:
      `IOException`

  - ### create

    public TokenFilter create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`